%This script computes, by simulation, Var( log (x) ) when x has exponential
%distribution

M = 1000000;  % sample size
F = rand(M,1);
% if x is exponential with parameter lambda:
% F = 1 - exp(-lambda*x) so 1-F = exp(lambda x) or x = log(1-F)/(-lambda) 
% then var(log x ) cab be conputed by inverting F and integrating it w.r.t. uniform [0,1] 

logx = log(-log(1-F));

varlogx = var(logx);

