% Here we describe the file datatrade.m
% The date is loaded as a 60 by 6 named tradedata
% countres in tradedate are ordered from largest to smallest in terms of
% their share in world gdp measured in dollars, the 60 largest countries, including
% a fictitious country called "the Rest of the World"
%
%column 1	: share in world gdp. From WDI 2002 cdRom, average 1994-2000
%column 2	: 0.5*(exp+imp)/GDP. From WDI 2002 cdRom,, average 1994-2000
%column 3	: relative price of tradeable v.s. non-tradeable consumption goods as defined
%	  	    in Klenow's paper. Taken from the benchmark PWT year 1996.
%column 4	: price of machinery and equipment relative to consumption
%	  	    Taken from the benchmark PWT year 1996. 
%column 5	: Average 1996-2000 import duties over imports. Taken from WDI
%          	2002 cdRom, except for countries in the european union (this
%	  	    has to be modified)
%column 6	: Average 1996-2000 ad-valorem tariff rate, from Dollar and Kraay.
%	  	    Source: worldbank database (WTO) 	  
%
% mising data are indicated by -666.000
